API Version 2026.1 changes over 2020.1
At Pinch, we have tried to keep our API changes backwards compatible as much as possible but sometimes we just need to make a breaking change.
Below are the changes made to the API when using the 2026.1 version header.
Idempotency updates for payments and refunds
- Payments:
POST /paymentsandPOST /payments/realtimeacceptidempotencyKeyin the request body (replacingnoncefor 2026.1). - Refunds:
POST /refundsacceptsidempotencyKeyin the request body (replacingnoncefor 2026.1). - New endpoints for idempotency checks:
POST /payments/idempotency-checkPOST /refunds/idempotency-check
- Idempotency check requests expect
idempotencyKeyin the request body. - Read responses for 2026.1 return
idempotencyKeyon payment and refund resources (forGET /payments/{id},GET /payments/payer/{payerId}, and refund create responses). - For 2020.1 integrations, continue using
nonceand the/nonceendpoints.
Pagination changes
These list endpoints now return a paged response object instead of a bare array:
GET /payments/payer/{payerId}GET /subscriptions/payer/{payerId}GET /transfers
Paged response fields:
pagepageSizetotalPagestotalItemsdata(the list of items)
Webhooks: API versioning and source events
- Webhook create/update accepts
apiVersionin the request body or derives it from thepinch-versionheader. Responses now includeapiVersion. - New event types available to 2026.1 webhooks:
source-createdsource-deleted
- Source event metadata includes
payerName,sourceId, andsourceType. - Webhook deliveries use the event envelope (id, type, eventDate, metadata, data, merchantId) without delivery metadata.
Managed merchant search
- New endpoint:
GET /merchants/search-managed - Supports
filter,status[],page, andpageSizequery parameters for searching managed merchants.
Update Merchant and Contacts endpoint changes
- Removing ability to update Contacts via the
POST /merchants/updaterequest. - The response will also not contain Contacts.
- The Contacts API should be used instead.
Deprecated v2017.2 and v2019.1
- These older API versions are no longer being supported and will be removed soon.
Updated 15 days ago
What’s Next
Did this page help you?
